Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Enum SeverityKind

    java.lang.Object
      java.lang.Enum<SeverityKind>
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.SeverityKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SeverityKind>

    public enum SeverityKind

extends java.lang.Enum<SeverityKind>

A representation of the literals of the enumeration 'Severity Kind', and utility methods for working with them.

See Also:
  `ImperativeOCLPackage.getSeverityKind()`

Enum Constant Summary
`ERROR` The 'Error' literal object
`FATAL` The 'Fatal' literal object
`WARNING` The 'Warning' literal object

Field Summary
`static int` | `ERROR_VALUE` The 'Error' literal value
`static int` | `FATAL_VALUE` The 'Fatal' literal value
`static java.util.List<SeverityKind>` | `VALUES` A public read-only list of all the 'Severity Kind' enumerators
`static int` | `WARNING_VALUE` The 'Warning' literal value

Method Summary
`static SeverityKind` | `get(int value)` Returns the 'Severity Kind' literal with the specified integer value
`static SeverityKind` | `get(java.lang.String literal)` Returns the 'Severity Kind' literal with the specified literal value
`static SeverityKind` | `getByName(java.lang.String name)` Returns the 'Severity Kind' literal with the specified name
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
`static SeverityKind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SeverityKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR

    public static final SeverityKind ERROR

  The 'Error' literal object.

  See Also:
    `ERROR_VALUE`

### WARNING

    public static final SeverityKind WARNING

  The 'Warning' literal object.

  See Also:
    `WARNING_VALUE`

### FATAL

    public static final SeverityKind FATAL

  The 'Fatal' literal object.

  See Also:
    `FATAL_VALUE`

Field Detail

### ERROR_VALUE

    public static final int ERROR_VALUE

  The 'Error' literal value.

  If the meaning of 'Error' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ERROR`, Constant Field Values

### WARNING_VALUE

    public static final int WARNING_VALUE

  The 'Warning' literal value.

  If the meaning of 'Warning' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WARNING`, Constant Field Values

### FATAL_VALUE

    public static final int FATAL_VALUE

  The 'Fatal' literal value.

  If the meaning of 'Fatal' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FATAL`, Constant Field Values

### VALUES

    public static final java.util.List<SeverityKind> VALUES

  A public read-only list of all the 'Severity Kind' enumerators.

Method Detail

### values

    public static final SeverityKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SeverityKind c : SeverityKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SeverityKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static SeverityKind get(java.lang.String literal)

  Returns the 'Severity Kind' literal with the specified literal value.

### getByName

    public static SeverityKind getByName(java.lang.String name)

  Returns the 'Severity Kind' literal with the specified name.

### get

    public static SeverityKind get(int value)

  Returns the 'Severity Kind' literal with the specified integer value.

### getValue

    public int getValue()

### getName

    public java.lang.String getName()

### getLiteral

    public java.lang.String getLiteral()

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SeverityKind>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD